Bug 863660 - [abrt]: WARNING: at drivers/net/wireless/b43/main.c:2546 b43_wireless_core_init+0x10ab/0x10c0 [b43](): TAINTED G W
[abrt]: WARNING: at drivers/net/wireless/b43/main.c:2546 b43_wireless_core_in...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:dca3a37dc10f178b9e80203052e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 08:21 EDT by Sebastian Sajaroff
Modified: 2013-01-02 08:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-02 08:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Sajaroff 2012-10-06 08:21:05 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-2.fc17.i686 root=UUID=e084d0ab-0041-4504-951f-432bea01e23c ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True rd.luks=0 KEYTABLE=us-acentos LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.4-2.fc17.i686

kernel_tainted_long:
:Proprietary module has not been loaded.
:Taint on warning.

backtrace:
:WARNING: at drivers/net/wireless/b43/main.c:2546 b43_wireless_core_init+0x10ab/0x10c0 [b43]()
:Hardware name: Presario 2200 (PM048UA#ABL)       
:Modules linked in: fuse bnep bluetooth ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables binfmt_misc arc4 b43 snd_intel8x0m bcma mac80211 snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm cfg80211 rfkill snd_page_alloc snd_timer snd ssb i2c_i801 mmc_core lpc_ich soundcore microcode uinput yenta_socket wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 661, comm: wpa_supplicant Tainted: G        W    3.5.4-2.fc17.i686 #1
:Call Trace:
: [<c0438ff2>] warn_slowpath_common+0x72/0xa0
: [<f8337ccb>] ? b43_wireless_core_init+0x10ab/0x10c0 [b43]
: [<f8337ccb>] ? b43_wireless_core_init+0x10ab/0x10c0 [b43]
: [<c0439042>] warn_slowpath_null+0x22/0x30
: [<f8337ccb>] b43_wireless_core_init+0x10ab/0x10c0 [b43]
: [<f81d3646>] ? cfg80211_netdev_notifier_call+0xa6/0x510 [cfg80211]
: [<f8338320>] b43_op_start+0x180/0x1a0 [b43]
: [<f82d2709>] ieee80211_do_open+0x289/0x970 [mac80211]
: [<c045df3e>] ? __raw_notifier_call_chain+0x1e/0x30
: [<f82d0405>] ? ieee80211_check_concurrent_iface+0x25/0x1b0 [mac80211]
: [<f82d2e49>] ieee80211_open+0x59/0x60 [mac80211]
: [<c0855e1b>] __dev_open+0x8b/0x100
: [<c0943cf3>] ? _raw_spin_unlock_bh+0x13/0x20
: [<c0855d7e>] ? dev_set_rx_mode+0x2e/0x40
: [<c08560c1>] __dev_change_flags+0x81/0x160
: [<c060dfec>] ? security_capable+0x1c/0x30
: [<c0856241>] dev_change_flags+0x21/0x60
: [<c08b0474>] devinet_ioctl+0x5a4/0x750
: [<c0668e81>] ? copy_to_user+0x41/0x60
: [<c08b089d>] inet_ioctl+0x8d/0xb0
: [<c083fb39>] sock_ioctl+0x69/0x270
: [<c054f509>] ? __d_free+0x39/0x60
: [<c083fad0>] ? sock_aio_dtor+0x20/0x20
: [<c054ce4a>] do_vfs_ioctl+0x7a/0x590
: [<c06114ea>] ? inode_has_perm.isra.31.constprop.62+0x3a/0x50
: [<c0612b30>] ? file_has_perm+0xa0/0xb0
: [<c0612ec8>] ? selinux_file_ioctl+0x48/0xe0
: [<c054d3c8>] sys_ioctl+0x68/0x80
: [<c094af5f>] sysenter_do_call+0x12/0x28
Comment 1 Larry Finger 2012-11-01 18:04:42 EDT
That warning occurs because your firmware has an incorrect "date" word. If you use the openfwwf product, the date word must be 0xFFFF. For the proprietary firmware, the date must not be 0xFFFF.

Which firmware are you attempting to use? If it is the standard version, then reinstall it.

Note You need to log in before you can comment on or make changes to this bug.